Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.annots.QuadPoints Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| QuadPoints (PointF first, PointF second, PointF third, PointF fourth)
| Constructor, with parameters. More...
| QuadPoints ()
| Constructor.
| QuadPoints (QuadPoints quad_points)
| Constructor, with another quadrilateral points object. More...
void | Set (PointF first, PointF second, PointF third, PointF fourth)
| Set value. More...

## Properties
PointF? | first`[get, set]`
| First point of quadrilateral, in PDF coordinate system.
PointF? | fourth`[get, set]`
| Fourth point of quadrilateral, in PDF coordinate system.
PointF? | second`[get, set]`
| Second point of quadrilateral, in PDF coordinate system.
PointF? | third`[get, set]`
| Third point of quadrilateral, in PDF coordinate system.

## Detailed Description

This class represents points of a quadrilateral, in PDF coordinate system. The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.

- The second point is the point in right-top corner of the quadrilateral.

- The third point is the point in left-bottom corner of the quadrilateral.

- The fourth point is the point in right-bottom corner of the quadrilateral.

## Constructor & Destructor Documentation

## ◆ QuadPoints() [1/2]

foxit.pdf.annots.QuadPoints.QuadPoints | ( | PointF | first,
|  | PointF | second,
|  | PointF | third,
|  | PointF | fourth
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

## ◆ QuadPoints() [2/2]

foxit.pdf.annots.QuadPoints.QuadPoints | ( | QuadPoints | quad_points | ) |
| inline

Constructor, with another quadrilateral points object.

Parameters

  [in] | quad_points | Another quadrilateral points object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.annots.QuadPoints.Set | ( | PointF | first,
|  | PointF | second,
|  | PointF | third,
|  | PointF | fourth
| ) |  |
| inline

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Returns
  None.